/* This file is automatically generated from cssvalues.in by makevalues, do not edit */
/* Copyright 1998 W. Bastian */

#ifndef CSSVALUES_H
#define CSSVALUES_H

DOM::DOMString getValueName(unsigned short id) KDE_NO_EXPORT;

#define CSS_VAL_INVALID 0
#define CSS_VAL_MIN 1
#define CSS_VAL_INHERIT 1
#define CSS_VAL_INITIAL 2
#define CSS_VAL__KHTML_NATIVE 3
#define CSS_VAL_NONE 4
#define CSS_VAL_HIDDEN 5
#define CSS_VAL_INSET 6
#define CSS_VAL_GROOVE 7
#define CSS_VAL_RIDGE 8
#define CSS_VAL_OUTSET 9
#define CSS_VAL_DOTTED 10
#define CSS_VAL_DASHED 11
#define CSS_VAL_SOLID 12
#define CSS_VAL_DOUBLE 13
#define CSS_VAL_CAPTION 14
#define CSS_VAL_ICON 15
#define CSS_VAL_MENU 16
#define CSS_VAL_MESSAGE_BOX 17
#define CSS_VAL_SMALL_CAPTION 18
#define CSS_VAL_STATUS_BAR 19
#define CSS_VAL_ITALIC 20
#define CSS_VAL_OBLIQUE 21
#define CSS_VAL_SMALL_CAPS 22
#define CSS_VAL_NORMAL 23
#define CSS_VAL_BOLD 24
#define CSS_VAL_BOLDER 25
#define CSS_VAL_LIGHTER 26
#define CSS_VAL_100 27
#define CSS_VAL_200 28
#define CSS_VAL_300 29
#define CSS_VAL_400 30
#define CSS_VAL_500 31
#define CSS_VAL_600 32
#define CSS_VAL_700 33
#define CSS_VAL_800 34
#define CSS_VAL_900 35
#define CSS_VAL_XX_SMALL 36
#define CSS_VAL_X_SMALL 37
#define CSS_VAL_SMALL 38
#define CSS_VAL_MEDIUM 39
#define CSS_VAL_LARGE 40
#define CSS_VAL_X_LARGE 41
#define CSS_VAL_XX_LARGE 42
#define CSS_VAL__KHTML_XXX_LARGE 43
#define CSS_VAL_SMALLER 44
#define CSS_VAL_LARGER 45
#define CSS_VAL_WIDER 46
#define CSS_VAL_NARROWER 47
#define CSS_VAL_ULTRA_CONDENSED 48
#define CSS_VAL_EXTRA_CONDENSED 49
#define CSS_VAL_CONDENSED 50
#define CSS_VAL_SEMI_CONDENSED 51
#define CSS_VAL_SEMI_EXPANDED 52
#define CSS_VAL_EXPANDED 53
#define CSS_VAL_EXTRA_EXPANDED 54
#define CSS_VAL_ULTRA_EXPANDED 55
#define CSS_VAL_SERIF 56
#define CSS_VAL_SANS_SERIF 57
#define CSS_VAL_CURSIVE 58
#define CSS_VAL_FANTASY 59
#define CSS_VAL_MONOSPACE 60
#define CSS_VAL_SCROLL 61
#define CSS_VAL_FIXED 62
#define CSS_VAL_LOCAL 63
#define CSS_VAL_TRANSPARENT 64
#define CSS_VAL_AQUA 65
#define CSS_VAL_BLACK 66
#define CSS_VAL_BLUE 67
#define CSS_VAL_CRIMSON 68
#define CSS_VAL_FUCHSIA 69
#define CSS_VAL_GRAY 70
#define CSS_VAL_GREEN 71
#define CSS_VAL_INDIGO 72
#define CSS_VAL_LIME 73
#define CSS_VAL_MAROON 74
#define CSS_VAL_NAVY 75
#define CSS_VAL_OLIVE 76
#define CSS_VAL_ORANGE 77
#define CSS_VAL_PURPLE 78
#define CSS_VAL_RED 79
#define CSS_VAL_SILVER 80
#define CSS_VAL_TEAL 81
#define CSS_VAL_WHITE 82
#define CSS_VAL_YELLOW 83
#define CSS_VAL_ACTIVEBORDER 84
#define CSS_VAL_ACTIVECAPTION 85
#define CSS_VAL_APPWORKSPACE 86
#define CSS_VAL_BACKGROUND 87
#define CSS_VAL_BUTTONFACE 88
#define CSS_VAL_BUTTONHIGHLIGHT 89
#define CSS_VAL_BUTTONSHADOW 90
#define CSS_VAL_BUTTONTEXT 91
#define CSS_VAL_CAPTIONTEXT 92
#define CSS_VAL_GRAYTEXT 93
#define CSS_VAL_HIGHLIGHT 94
#define CSS_VAL_HIGHLIGHTTEXT 95
#define CSS_VAL_INACTIVEBORDER 96
#define CSS_VAL_INACTIVECAPTION 97
#define CSS_VAL_INACTIVECAPTIONTEXT 98
#define CSS_VAL_INFOBACKGROUND 99
#define CSS_VAL_INFOTEXT 100
#define CSS_VAL_MENUTEXT 101
#define CSS_VAL_SCROLLBAR 102
#define CSS_VAL_THREEDDARKSHADOW 103
#define CSS_VAL_THREEDFACE 104
#define CSS_VAL_THREEDHIGHLIGHT 105
#define CSS_VAL_THREEDLIGHTSHADOW 106
#define CSS_VAL_THREEDSHADOW 107
#define CSS_VAL_WINDOW 108
#define CSS_VAL_WINDOWFRAME 109
#define CSS_VAL_WINDOWTEXT 110
#define CSS_VAL_CURRENTCOLOR 111
#define CSS_VAL_GREY 112
#define CSS_VAL__KHTML_TEXT 113
#define CSS_VAL_REPEAT 114
#define CSS_VAL_REPEAT_X 115
#define CSS_VAL_REPEAT_Y 116
#define CSS_VAL_NO_REPEAT 117
#define CSS_VAL_BASELINE 118
#define CSS_VAL_MIDDLE 119
#define CSS_VAL_SUB 120
#define CSS_VAL_SUPER 121
#define CSS_VAL_TEXT_TOP 122
#define CSS_VAL_TEXT_BOTTOM 123
#define CSS_VAL_TOP 124
#define CSS_VAL_BOTTOM 125
#define CSS_VAL__KHTML_BASELINE_MIDDLE 126
#define CSS_VAL__KHTML_AUTO 127
#define CSS_VAL_LEFT 128
#define CSS_VAL_RIGHT 129
#define CSS_VAL_CENTER 130
#define CSS_VAL_JUSTIFY 131
#define CSS_VAL__KHTML_LEFT 132
#define CSS_VAL__KHTML_RIGHT 133
#define CSS_VAL__KHTML_CENTER 134
#define CSS_VAL_OUTSIDE 135
#define CSS_VAL_INSIDE 136
#define CSS_VAL_DISC 137
#define CSS_VAL_CIRCLE 138
#define CSS_VAL_SQUARE 139
#define CSS_VAL_BOX 140
#define CSS_VAL__KHTML_DIAMOND 141
#define CSS_VAL_DECIMAL 142
#define CSS_VAL_DECIMAL_LEADING_ZERO 143
#define CSS_VAL__KHTML_ARABIC_INDIC 144
#define CSS_VAL__KHTML_LAO 145
#define CSS_VAL__KHTML_PERSIAN 146
#define CSS_VAL__KHTML_URDU 147
#define CSS_VAL__KHTML_THAI 148
#define CSS_VAL__KHTML_TIBETAN 149
#define CSS_VAL_LOWER_ROMAN 150
#define CSS_VAL_UPPER_ROMAN 151
#define CSS_VAL_HEBREW 152
#define CSS_VAL_ARMENIAN 153
#define CSS_VAL_GEORGIAN 154
#define CSS_VAL_CJK_IDEOGRAPHIC 155
#define CSS_VAL__KHTML_JAPANESE_FORMAL 156
#define CSS_VAL__KHTML_JAPANESE_INFORMAL 157
#define CSS_VAL__KHTML_SIMP_CHINESE_FORMAL 158
#define CSS_VAL__KHTML_SIMP_CHINESE_INFORMAL 159
#define CSS_VAL__KHTML_TRAD_CHINESE_FORMAL 160
#define CSS_VAL__KHTML_TRAD_CHINESE_INFORMAL 161
#define CSS_VAL_LOWER_GREEK 162
#define CSS_VAL__KHTML_UPPER_GREEK 163
#define CSS_VAL_LOWER_ALPHA 164
#define CSS_VAL_LOWER_LATIN 165
#define CSS_VAL_UPPER_ALPHA 166
#define CSS_VAL_UPPER_LATIN 167
#define CSS_VAL_HIRAGANA 168
#define CSS_VAL_KATAKANA 169
#define CSS_VAL_HIRAGANA_IROHA 170
#define CSS_VAL_KATAKANA_IROHA 171
#define CSS_VAL__KHTML_OPEN_QUOTE 172
#define CSS_VAL__KHTML_CLOSE_QUOTE 173
#define CSS_VAL_INLINE 174
#define CSS_VAL_BLOCK 175
#define CSS_VAL_LIST_ITEM 176
#define CSS_VAL_RUN_IN 177
#define CSS_VAL_COMPACT 178
#define CSS_VAL_INLINE_BLOCK 179
#define CSS_VAL_TABLE 180
#define CSS_VAL_INLINE_TABLE 181
#define CSS_VAL_TABLE_ROW_GROUP 182
#define CSS_VAL_TABLE_HEADER_GROUP 183
#define CSS_VAL_TABLE_FOOTER_GROUP 184
#define CSS_VAL_TABLE_ROW 185
#define CSS_VAL_TABLE_COLUMN_GROUP 186
#define CSS_VAL_TABLE_COLUMN 187
#define CSS_VAL_TABLE_CELL 188
#define CSS_VAL_TABLE_CAPTION 189
#define CSS_VAL_AUTO 190
#define CSS_VAL_DEFAULT 191
#define CSS_VAL_CONTEXT_MENU 192
#define CSS_VAL_HELP 193
#define CSS_VAL_POINTER 194
#define CSS_VAL_PROGRESS 195
#define CSS_VAL_WAIT 196
#define CSS_VAL_CELL 197
#define CSS_VAL_CROSSHAIR 198
#define CSS_VAL_TEXT 199
#define CSS_VAL_VERTICAL_TEXT 200
#define CSS_VAL_ALIAS 201
#define CSS_VAL_COPY 202
#define CSS_VAL_MOVE 203
#define CSS_VAL_NO_DROP 204
#define CSS_VAL_NOT_ALLOWED 205
#define CSS_VAL_E_RESIZE 206
#define CSS_VAL_N_RESIZE 207
#define CSS_VAL_NE_RESIZE 208
#define CSS_VAL_NW_RESIZE 209
#define CSS_VAL_S_RESIZE 210
#define CSS_VAL_SE_RESIZE 211
#define CSS_VAL_SW_RESIZE 212
#define CSS_VAL_W_RESIZE 213
#define CSS_VAL_EW_RESIZE 214
#define CSS_VAL_NS_RESIZE 215
#define CSS_VAL_NESW_RESIZE 216
#define CSS_VAL_NWSE_RESIZE 217
#define CSS_VAL_COL_RESIZE 218
#define CSS_VAL_ROW_RESIZE 219
#define CSS_VAL_ALL_SCROLL 220
#define CSS_VAL_LTR 221
#define CSS_VAL_RTL 222
#define CSS_VAL_CAPITALIZE 223
#define CSS_VAL_UPPERCASE 224
#define CSS_VAL_LOWERCASE 225
#define CSS_VAL_VISIBLE 226
#define CSS_VAL_COLLAPSE 227
#define CSS_VAL_CLOSE_QUOTE 228
#define CSS_VAL_NO_CLOSE_QUOTE 229
#define CSS_VAL_NO_OPEN_QUOTE 230
#define CSS_VAL_OPEN_QUOTE 231
#define CSS_VAL_NOWRAP 232
#define CSS_VAL_PRE 233
#define CSS_VAL_PRE_WRAP 234
#define CSS_VAL_PRE_LINE 235
#define CSS_VAL__KHTML_NOWRAP 236
#define CSS_VAL_ABOVE 237
#define CSS_VAL_ABSOLUTE 238
#define CSS_VAL_ALWAYS 239
#define CSS_VAL_AVOID 240
#define CSS_VAL_BELOW 241
#define CSS_VAL_BIDI_OVERRIDE 242
#define CSS_VAL_BLINK 243
#define CSS_VAL_BOTH 244
#define CSS_VAL_CROP 245
#define CSS_VAL_CROSS 246
#define CSS_VAL_EMBED 247
#define CSS_VAL_HAND 248
#define CSS_VAL_HIDE 249
#define CSS_VAL_HIGHER 250
#define CSS_VAL_INVERT 251
#define CSS_VAL_LANDSCAPE 252
#define CSS_VAL_LEVEL 253
#define CSS_VAL_LINE_THROUGH 254
#define CSS_VAL_LOUD 255
#define CSS_VAL_LOWER 256
#define CSS_VAL_MARQUEE 257
#define CSS_VAL_MIX 258
#define CSS_VAL_OVERLINE 259
#define CSS_VAL_PORTRAIT 260
#define CSS_VAL_RELATIVE 261
#define CSS_VAL_SEPARATE 262
#define CSS_VAL_SHOW 263
#define CSS_VAL_STATIC 264
#define CSS_VAL_THICK 265
#define CSS_VAL_THIN 266
#define CSS_VAL_UNDERLINE 267
#define CSS_VAL__KHTML_NORMAL 268
#define CSS_VAL__KHTML_AROUND_FLOATS 269
#define CSS_VAL_BORDER_BOX 270
#define CSS_VAL_CONTENT_BOX 271
#define CSS_VAL_ENABLED 272
#define CSS_VAL_DISABLED 273
#define CSS_VAL_FORWARDS 274
#define CSS_VAL_BACKWARDS 275
#define CSS_VAL_AHEAD 276
#define CSS_VAL_REVERSE 277
#define CSS_VAL_UP 278
#define CSS_VAL_DOWN 279
#define CSS_VAL_SLOW 280
#define CSS_VAL_FAST 281
#define CSS_VAL_INFINITE 282
#define CSS_VAL_SLIDE 283
#define CSS_VAL_ALTERNATE 284
#define CSS_VAL_UNFURL 285
#define CSS_VAL_CLIP 286
#define CSS_VAL_ELLIPSIS 287
#define CSS_VAL_BORDER 288
#define CSS_VAL_CONTENT 289
#define CSS_VAL_PADDING 290
#define CSS_VAL_EVENODD 291
#define CSS_VAL_NONZERO 292

#define CSS_VAL_TOTAL 293
#endif

